phpBB 更新至 3.2.2,支持 PHP 7.2 和 Memcached - 开源中国社区
phpBB 更新至 3.2.2,支持 PHP 7.2 和 Memcached
nnnm 2018年01月10日

phpBB 更新至 3.2.2,支持 PHP 7.2 和 Memcached

nnnm nnnm 发布于2018年01月10日 收藏 7

1 月 7 日,phpBB 推出了代号为 Bertie’s New Year Resolution 的 3.2.2 版本和代号为 Bertie’s look back at Mars 的 3.1.12 版本。

3.2.2 版本作为主力维护版本,这次除了支持 PHP 7.2 版本外,还开始提供 Memcached 缓存服务器的支持。

在功能上,3.2.2 版本也优化 URL 使用方案,停用了被视为不安全的 javascript 跳转方式。另外,对 PostgreSQL 安全设置也进行了修复。在历史遗留问题修复上官方说是已经修复了上传文件中图片大小识别和文件保存的一些以前很多版本存在的问题。

在 PHP 版本支持上官方建议的最低版本为:PHP 5.4.7,对 PHP 5.4.0 至 5.4.6 版本的兼容维护工作,官方表示尽力做,所以建议尽早升级到更高的 PHP 版本中。

同一天更新的 3.1.12 版本被视为 3.1 系列的最后一个版本,主要的升级内容是支持 Memcached 缓存服务器和修复 PostgreSQL 使用上的一些安全设置。

phpBB 是一款开源的网络论坛系统,使用 PHP 作为开发语言,并支持如 MySQL、PostgreSQL、MSSQL、SQLite、Microsoft Access 与 Oracle 等的数据库。除去数据库支持上,以下为 phpBB 的几项优点:

  • 使用样板系统设计可方便地快速修改

  • 国际化并支持 64 种可用的语言翻译,可同时安装多套翻译庞大且众多的网络论坛,提供使用者自由交流与外挂软件的支援

本次版本更新信息可参见:

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:phpBB 更新至 3.2.2,支持 PHP 7.2 和 Memcached
分享
评论(3)
精彩评论
还活着啊
最新评论
0
这货还在更新,十几年了还在3.X的版本,我也是醉了。
0
这才是真正为技术而生的产品.
1
还活着啊
顶部